Magento Forum

   
Page 2 of 3
Magento Connect 2.0 - Connection Error try again later
 
pointfive
Jr. Member
 
Total Posts:  1
Joined:  2009-01-07
 

We were having a similar error \’Connection Error try again later\’ which was giving the following apache error

mod_fcgid: stderr: PHP Fatal error:  Class \’DOMDocument\’ not found in /home/xxxxx/public_html/downloader/lib/Mage/Xml/Parser.php on line 34, referer: http://xxxxx.com/downloader/index.php?A=connectPackages

The problem was a missing extension in PHP which is not installed by default on most systems, and is called php-xml

Once installed we could connect as normal.

 
Magento Community Magento Community
Magento Community
Magento Community
 
borje
Member
 
Total Posts:  40
Joined:  2010-10-21
 

I’ve becoming very tired of this problem…

First I tried to install through ssh, only resulting in the “Version for xxx was not detected” problem. So I thought I’d try ftp.

I couldn’t get the ftp connection to work, got an “Unable to read saved settings. Please check Installation Path of FTP Connection.” error, whatever that was supposed to mean. You enter the path to the magento installation, should that be enough?

So, I changed the permission of all the directories, against my will, as I don’t like the security aspect of it. Still had the “Version for xxx was not detected” problem. So I tried to change preferred state to beta as recommended in this thread. I change, I click, I get a “Settings has been successfully saved” message, but state stays stable…

Anyone has any clue whatsoever how I’m supposed to solve this?

 
Magento Community Magento Community
Magento Community
Magento Community
 
Rhonda_Rondeau
Enthusiast
 
Total Posts:  924
Joined:  2010-08-03
Culver City
 
borje - 08 April 2011 03:42 AM

I’ve becoming very tired of this problem…

First I tried to install through ssh, only resulting in the “Version for xxx was not detected” problem. So I thought I’d try ftp.

I couldn’t get the ftp connection to work, got an “Unable to read saved settings. Please check Installation Path of FTP Connection.” error, whatever that was supposed to mean. You enter the path to the magento installation, should that be enough?

So, I changed the permission of all the directories, against my will, as I don’t like the security aspect of it. Still had the “Version for xxx was not detected” problem. So I tried to change preferred state to beta as recommended in this thread. I change, I click, I get a “Settings has been successfully saved” message, but state stays stable…

Anyone has any clue whatsoever how I’m supposed to solve this?

So you’re saying that your version of Magento is not saving your settings? Is that correct?

Rhonda

 
Magento Community Magento Community
Magento Community
Magento Community
 
borje
Member
 
Total Posts:  40
Joined:  2010-10-21
 
rrondata - 08 April 2011 04:16 AM

So you’re saying that your version of Magento is not saving your settings? Is that correct?
Rhonda

Correct.

 
Magento Community Magento Community
Magento Community
Magento Community
 
Rhonda_Rondeau
Enthusiast
 
Total Posts:  924
Joined:  2010-08-03
Culver City
 

If you’re using magento connect manager you have to have all your directories at writeable. I’m confused, do you want to email me and we can talk on wednesday? rhonda at magento dot com

I’m actually out of the office today and tomorrow but I’ll try to help when I get your email. 

Rhonda

 
Magento Community Magento Community
Magento Community
Magento Community
 
Brent W Peterson
Moderator
 
Avatar
Total Posts:  3215
Joined:  2009-02-26
Minneapolis MN
 

It sounds like your PEAR is not getting reset, have you tried resetting pear and trying it?

 
Magento Community Magento Community
Magento Community
Magento Community
 
JonnyHoy
Jr. Member
 
Total Posts:  1
Joined:  2009-02-15
 
pointfive - 01 April 2011 06:42 AM

We were having a similar error \’Connection Error try again later\’ which was giving the following apache error

mod_fcgid: stderr: PHP Fatal error:  Class \’DOMDocument\’ not found in /home/xxxxx/public_html/downloader/lib/Mage/Xml/Parser.php on line 34, referer: http://xxxxx.com/downloader/index.php?A=connectPackages

The problem was a missing extension in PHP which is not installed by default on most systems, and is called php-xml

Once installed we could connect as normal.

I can also confirm this. I’m running on CentOS and ran an update on php-xml through yum and it ironed out the bug.

Thanks!

 
Magento Community Magento Community
Magento Community
Magento Community
 
salimkureshi
Jr. Member
 
Avatar
Total Posts:  23
Joined:  2011-02-10
Baroda
 

Hello All

I have to tire solve this error pls help.....

Unable to read saved settings. Please check Installation Path of FTP Connection.

I cant change my ftp detail from magento connect

FTP Host: 
FTP Login: 
FTP Password: 
Installation Path:

First time i have to install mageto on domain1.com then it transfer to other domain like domain005.com then after when install new extension like http://connect20.magentocommerce.com/community/dutch_NL it give me above error and i want to change old ftp with new ftp detail i can’t do that what happen??????????????//

Pls Help
Salim Kureshi

 
Magento Community Magento Community
Magento Community
Magento Community
 
salimkureshi
Jr. Member
 
Avatar
Total Posts:  23
Joined:  2011-02-10
Baroda
 
salimkureshi - 01 July 2011 01:45 AM

Hello All

I have to tire solve this error pls help.....

Unable to read saved settings. Please check Installation Path of FTP Connection.

I cant change my ftp detail from magento connect

FTP Host: 
FTP Login: 
FTP Password: 
Installation Path:

First time i have to install mageto on domain1.com then it transfer to other domain like domain005.com then after when install new extension like http://connect20.magentocommerce.com/community/dutch_NL it give me above error and i want to change old ftp with new ftp detail i can’t do that what happen??????????????//

Pls Help
Salim Kureshi

 
Magento Community Magento Community
Magento Community
Magento Community
 
tanman123
Jr. Member
 
Total Posts:  8
Joined:  2010-07-08
 

After a few hours of debugging with some of the Magento staff, I have resolved my issue with Magento Connect 2.0.

Here is the issue I had and I invite everyone to check your configurations.

My issue was the PHP version running on the server.  To check yours ... type in php -v

Magento requires PHP 5.2.13+ ()

I was running PHP 5.2.10 which was already a hack install for CentOS.  To do an upgrade here is what I did and I hope this helps others out there.

Here’s the article for reference: http://www.webtatic.com/packages/php53/

To uninstall:
Make a backup of your server first (very important to have a rollback)
yum remove php
yum remove php-common

Now to install PHP 5.3.6 on CentOS 5.5
rpm -Uvh http://repo.webtatic.com/yum/centos/5/latest.rpm
yum --enablerepo=webtatic install php
yum --enablerepo=webtatic install php-devel php-gd php-imap php-mbstring php-mcrypt php-pecl-apc php-pecl-memcache php-soap php-mysql php-xml

Good luck.  BTW, someone who helped isolate the problem looked at the Apache log files where we saw these errors which supports a conflict between PHP and Apache versions.  http://www.directadmin.com/forum/showthread.php?t=13591

Cheers,
T

 
Magento Community Magento Community
Magento Community
Magento Community
 
pwinkelm
Jr. Member
 
Total Posts:  6
Joined:  2010-10-06
 

Thanks for the work done, but the installation guide tells us about:

System Requirements

At the base level, Magento will require the following software. (You can check your system compatibility using this testing script.) 1 - Linux, Windows, or another UNIX-compatible operating system

2 - Apache Web Server (1.x or 2.x)

3 - PHP 5.2.0 or newer, with the following extensions/addons:

Does an upgrade of PHP really solve the Magento Connect issue (I also get this annoying error)? I cannot upgrade PHP myself, my provider has to do this…

Regards,
Pieter

 
Magento Community Magento Community
Magento Community
Magento Community
 
tanman123
Jr. Member
 
Total Posts:  8
Joined:  2010-07-08
 

http://www.magentocommerce.com/system-requirements is the official page and it does state PHP 5.2.13+

I built a totally new server with the new version of PHP to verify that this was the culprit.  Once I upgraded PHP, the issue went away on my existing servers and instances.

 
Magento Community Magento Community
Magento Community
Magento Community
 
pwinkelm
Jr. Member
 
Total Posts:  6
Joined:  2010-10-06
 

Thanks, I will check with my provider than!

 
Magento Community Magento Community
Magento Community
Magento Community
 
muoik6h
Jr. Member
 
Total Posts:  5
Joined:  2011-02-25
 

at the Community EditionCompatibility :example 1.4, 1.5, ...
make sure that it supports 1.5

 
Magento Community Magento Community
Magento Community
Magento Community
 
countryweb
Jr. Member
 
Total Posts:  2
Joined:  2011-08-28
 

I have tried every tip listed on this thread and NOTHING works.  I still get the same “Connection Error try again later”

This is a killer, and I can’t believe there is still no definite fix!!

This is a show stopper for me, and now I have a serious problem.

Can ANYBODY please help with this issue?  I am desperate here!!!

Thanks
-J

 
Magento Community Magento Community
Magento Community
Magento Community
Magento Community
Magento Community
    Back to top
Page 2 of 3